## mingw-w64-python3-pylint-2.5.0-1.src.tar.gz

=== Makefile ===
# Makefile for handling various tasks of Pylint sources
PYVE=pyve
PIP=$(PYVE)/bin/pip
TOX=$(PYVE)/bin/tox

VERSION=$(shell PYTHONPATH=. python -c "from pylint.__pkginfo__ import version; print(version)")

PKG_SDIST=dist/pylint-$(VERSION).tar.gz
PKG_DEB=../pylint_$(VERSION)-1_all.deb

# this is default target, it should always be first in this Makefile
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  tests       to run whole test suit of PyLint"
	@echo "  docs        to generate all docs including man pages and exemplary pylintrc"
	@echo "  deb         to build debian .deb package (it works only on Debian based Linux distros)"
	@echo "  sdist       to build source .tar.gz package"
	@echo "  lint        to check Pylint sources with itself"
	@echo "  all         to run all targets"


$(PIP):
	virtualenv $(PYVE)

$(TOX): $(PIP)
	$(PIP) install tox~=2.0


ifdef TOXENV
toxparams?=-e $(TOXENV)
endif

tests: $(TOX)
	$(TOX) $(toxparams)

docs: $(PIP)
	$(PIP) install .
	$(PIP) install Sphinx
	$(PIP) install python-docs-theme
	. $(PYVE)/bin/activate; make all -C doc

deb: $(PKG_DEB)
$(PKG_DEB): /usr/bin/debuild /usr/bin/dh_pysupport
	if [ -n "$$SUBVERSION" ]; then sed -i -e "0,/pylint (\(.*\))/s//pylint (\1.$${SUBVERSION})/" debian/changelog; fi
	debuild -b -us -uc

sdist: $(PKG_SDIST)
$(PKG_SDIST):
	python setup.py sdist

lint: $(PIP)
	$(PIP) install .
	$(PYVE)/bin/pylint lint/__init__.py || true  # for now ignore errors

clean:
	rm -rf $(PYVE)
	rm -rf .tox
	rm -rf dist
	rm -rf build
	make clean -C doc
	rm -rf $(PKG_DEB) ../pylint_*.changes ../pylint_*.build
	debuild clean || true


/usr/bin/debuild:
	sudo apt-get -y --force-yes install devscripts

/usr/bin/dh_pysupport:
	sudo apt-get -y --force-yes install python-support

all: clean lint tests docs sdist deb

.PHONY: help tests docs deb sdist lint clean all

=== debian/changelog ===
pylint (1.4.1-1) precise; urgency=low

  * new upstream release

 -- Ionel Cristian Maries <contact@ionelmc.ro>  Sun, 15 Feb 2015 12:11:44 +0200

pylint (1.2.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 30 Apr 2014 17:56:29 +0200

pylint (1.2.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 18 Apr 2014 15:32:32 +0200

pylint (1.1.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Sun, 22 Dec 2013 23:44:15 +0100

pylint (1.0.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 30 Jul 2013 18:18:06 +0200

pylint (0.28.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 25 Apr 2013 09:43:01 +0200

pylint (0.27.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 26 Feb 2013 23:40:46 +0100

pylint (0.26.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 05 Oct 2012 11:40:08 +0200

pylint (0.25.2-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 17 Jul 2012 17:04:15 +0200

pylint (0.25.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 08 Dec 2011 15:27:47 +0100

pylint (0.25.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 07 Oct 2011 12:16:29 +0200

pylint (0.24.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Mon, 18 Jul 2011 16:03:24 +0200

pylint (0.23.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 11 Jan 2011 15:41:02 +0100

pylint (0.22.0-1) unstable; urgency=low

  * new upstream release

 -- Émile Anclin <emile.anclin@logilab.fr>  Mon, 15 Nov 2010 15:54:44 +0100

pylint (0.21.4-1) unstable; urgency=low

  * new upstream release

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 27 Oct 2010 13:54:44 +0100

pylint (0.21.3-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 28 Sep 2010 14:43:33 +0200

pylint (0.21.2-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 26 Aug 2010 10:03:54 +0200

pylint (0.21.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 04 Jun 2010 16:07:42 +0200

pylint (0.21.0-2) UNRELEASED; urgency=low

  [ Julien Jehannet ]
  * can now retrieve pristine tarball thanks to optional get-orig-source target

  [ Sylvain Thénault ]
  * update man-page according to 0.21 usage (Closes: #582494)

 -- Julien Jehannet <julien.jehannet@logilab.fr>  Tue, 25 May 2010 12:49:44 +0200

pylint (0.21.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Tue, 11 May 2010 12:27:09 +0200

pylint (0.20.0-1) unstable; urgency=low

  * new upstream release
   - use Daniel Harding patch for windows batch (Closes: #475939)

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 23 Jan 2010 16:54:44 +0100

pylint (0.19.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Fri, 18 Dec 2009 11:34:44 +0100

pylint (0.18.1-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Thu, 27 Aug 2009 08:37:00 +0200

pylint (0.18.0-2) unstable; urgency=low

  * Python transition, thanks Alessio Treglia for the patch (Closes: #530509)
   - Use --install-layout=deb for setup.py install.
   - Replace site-packages by *-packages.
   - Build-depends on python >= 2.5.4-1~ for --install-layout=deb.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 31 May 2009 01:24:53 +0200

pylint (0.18.0-1) unstable; urgency=low

  * change to python-support
  * update StandardVersion to 3.8.1
  * debian/rules: set NO_SETUPTOOLS when calling python setup.py

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 25 Mar 2009 09:39:37 +0100

pylint (0.17.0-1) unstable; urgency=low

  * new upstream release

 -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 19 Mar 2009 15:55:35 +0100

pylint (0.16.0-1) unstable; urgency=low

  * new upstream release

 -- Sylvain Thénault <sylvain.thenault@logilab.fr>  Wed, 28 Jan 2009 12:15:07 +0100

pylint (0.15.2-2) unstable; urgency=low

  * debian/control
    - added Vcs-{Svn,Browser} field

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Nov 2008 14:44:41 +0100

pylint (0.15.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - added under PAPT umbrella (in agreement with Alexandre Fayolle)
    - added me to uploaders
    - moved Homepage field to source stanza
    - bump Standards-Version to 3.8.0
      + added debian/README.source
    - moved python (removing version, since we are in a 2.4+2.5 distribution) to
      build-dep from build-dep-indep (to satisfy clean target needs)
    - added ${python:Depends}, ${misc:Depends} to depends instead of directly
      depending on "python" package
  * debian/watch
    - bump verstion to 3
    - left only the url to scan, adding "opts=pasv" for ftp scan
  * debian/pylint.docs
    - install all doc/ directory files
    - added README and TODO (from debian/rules)
  * debian/rules
    - merged 'rm -f' commands into dh_clean call
    - added "python setup.py clean" call in clean target
    - install upstream "Changelog" using dh_installchangelog
    - removed files passed to dh_installdocs since using debian/pylint.docs and
      because debian/NEWS.Debian is automatically installed
    - using '-delete' find option instead of xargs
    - fix executables shebang with a for loop



=== PKGBUILD ===
# Maintainer: J. Peter Mugaas <jpmugaas@suddenlink.net>

_realname=pylint
pkgbase=mingw-w64-python3-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
provides=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
conflicts=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
replaces=("${MINGW_PACKAGE_PREFIX}-python3-${_realname}")
pkgver=2.5.0
pkgrel=1
pkgdesc="Analyzes Python code looking for bugs and signs of poor quality (mingw-w64)"
arch=('any')
url='https://pylint.org/'
license=('GPL')
depends=("${MINGW_PACKAGE_PREFIX}-python-astroid"
         "${MINGW_PACKAGE_PREFIX}-python-colorama"
         "${MINGW_PACKAGE_PREFIX}-python-mccabe"
         "${MINGW_PACKAGE_PREFIX}-python-isort")
makedepends=("${MINGW_PACKAGE_PREFIX}-python"
             "${MINGW_PACKAGE_PREFIX}-python-astroid"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools"
             "${MINGW_PACKAGE_PREFIX}-python-six")
checkdepends=("${MINGW_PACKAGE_PREFIX}-mpdecimal"
              "${MINGW_PACKAGE_PREFIX}-python-pytest-runner")
optdepends=("${MINGW_PACKAGE_PREFIX}-tk: Pylint GUI"
            "${MINGW_PACKAGE_PREFIX}-graphviz: To have other output formats than dot or vcg")
options=('staticlibs' 'strip' '!debug')
install=${_realname}3-${CARCH}.install
source=("${_realname}-${pkgver}.tar.gz"::"https://github.com/PyCQA/pylint/archive/pylint-${pkgver}.tar.gz")
sha512sums=('9c010dce76ec1f07d0942965f65c8a22a79cc647f93448c19e5729837d3ac7910bc4e78b86a65f193e66750a6da924e9a5a46d977dcf168022609d7564748f14')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying $_patch"
    patch -Nbp1 -i "${srcdir}/$_patch"
  done
}

del_file_exists() {
  for _fname in "$@"
  do
    if [ -f $_fname ]; then
      rm -rf $_fname
    fi
  done
}
# =========================================== #

prepare() {
  cd "${srcdir}"
 
  sed -i 's/pytest<3.3/pytest/' pylint-pylint-${pkgver}/setup.py
  pushd "${_realname}-${_realname}-${pkgver}"
    sed -e "s|/usr/bin/python$|${MINGW_PREFIX}/bin/python|" -i pylint/epylint.py pylint/__main__.py tests/input/noext tests/data/ascript
  popd
  rm -rf python-build-${CARCH} | true
  cp -r "${_realname}-${_realname}-${pkgver}" "python-build-${CARCH}"
  # Set version for setuptools_scm
  export SETUPTOOLS_SCM_PRETEND_VERSION=${pkgver}
}

build() {
  msg "Python build for ${CARCH}"  
  cd "${srcdir}/python-build-${CARCH}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
    ${MINGW_PREFIX}/bin/python setup.py build
}

check() {
  msg "Python test for ${CARCH}"
  cd "${srcdir}/python-build-${CARCH}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
    ${MINGW_PREFIX}/bin/python setup.py pytest || warning "tests failed"
}

package() {
  cd "${srcdir}/python-build-${CARCH}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
    ${MINGW_PREFIX}/bin/python setup.py install --prefix=${MINGW_PREFIX} \
    --root="${pkgdir}" --optimize=1 --skip-build

  install -Dm644 COPYING "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/COPYING"

  local PREFIX_WIN=$(cygpath -wm ${MINGW_PREFIX})
  # fix python command in files
  for _f in "${pkgdir}${MINGW_PREFIX}"/bin/*.py; do
    sed -e "s|/usr/bin/env |${MINGW_PREFIX}|g" \
        -e "s|${PREFIX_WIN}|${MINGW_PREFIX}|g" -i ${_f}
  done
}

=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Logilab S.A. <contact@logilab.fr>
Uploaders: Sylvain Thénault <sylvain.thenault@logilab.fr>,
           Alexandre Fayolle <afayolle@debian.org>,
	   Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 5.0.38), python (>= 2.5)
Build-Depends-Indep: python-support
XS-Python-Version: >= 2.5
Standards-Version: 3.8.2
Homepage: http://www.pylint.org
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/pylint/trunk/
Vcs-Hg: https://bitbucket.org/logilab/pylint
Vcs-Browser: https://bitbucket.org/logilab/pylint/src

Package: pylint
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
	 python-logilab-common (>= 0.53.0),
	 python-astroid (>= 1.2)
Suggests: python-enchant
XB-Python-Version: ${python:Versions}
Description: python code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The included command pyreverse generates UML class and package
 diagrams. The included symilar command is a separated similarities checker.
 .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# adapted by Logilab for automatic generation by debianize
# (part of the devtools project, http://www.logilab.org/projects/devtools)
#
# Copyright (c) 2003-2010 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	NO_SETUPTOOLS=1 python setup.py -q build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	NO_SETUPTOOLS=1 python setup.py clean

	find . -name "*.pyc" -delete

	rm -rf build

	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	NO_SETUPTOOLS=1 python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint \
			--install-layout=deb

	rm -rf debian/pylint/usr/lib/python*/*-packages/pylint/test

	# fixes shebangs
	for exec_file in pylint symilar epylint pyreverse ; do \
	  if head -1 debian/pylint/usr/bin/$$exec_file | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
		sed -i "s@^#! */usr/bin/env \+python\$$@#!/usr/bin/python@" debian/pylint/usr/bin/$$exec_file; \
	  fi ; \
	  chmod a+x debian/pylint/usr/bin/$$exec_file; \
	done

	install -m 644 elisp/pylint.el debian/pylint/usr/share/emacs/site-lisp/pylint/

	# install tests
	#(cd test && find . -type f -not \( -path '*/CVS/*' -or -name '*.pyc' \) -exec install -D --mode=644 {} ../debian/pylint/usr/share/doc/pylint/test/{} \;)

get-orig-source:
	uscan --verbose --force-download --destdir .

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_pysupport -i
	dh_installchangelogs -i ChangeLog
	dh_installexamples -i
	dh_installdocs -i
	dh_installman -i
	dh_installemacsen
	dh_link -i
	dh_compress -i -X.py -X.ini -X.xml -Xtest
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep
.PHONY: build clean binary binary-indep binary-arch

=== debian/watch ===
version=3
opts=pasv ftp://ftp.logilab.org/pub/pylint/pylint-(.*)\.tar\.gz
